<?php
namespace Ak\Wp;

use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'wp.plugin_loader' => Plugin\PluginLoader::class,
            'wp.plugins'       => Plugin\PluginManager::class,
        ],

        'factories' => [
            Plugin\PluginLoader::class  => Plugin\PluginLoaderFactory::class,
            Plugin\PluginManager::class => PluginManagerAbstractFactory::class,
        ],
    ],
];