<?php
namespace AkTest\Wp\View\Helper;

use Ak\Test\ViewTestTrait;
use Ak\Wp\ConfigProvider;
use Ak\Wp\Test\AbstractTestCase;
use Laminas\View\Helper\BasePath;

class BasePathTest extends AbstractTestCase
{
    use ViewTestTrait;

    public $configProviders = [
        ConfigProvider::class,
    ];

    public function testWpHomeUrlIsSetAsBasePath()
    {
        $this->runWordPress();
        /** @var BasePath $helper */
        $helper = $this->getHelper(BasePath::class);

        $this->assertEquals(home_url(), $helper());
    }
}
